SalesOS.

Smart Email

AI-powered email composition

Smart Email Controller_compose

POST
/v1/smart-email/compose

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://api.salesos.org/v1/smart-email/compose" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Email Controller_list Drafts

GET
/v1/smart-email/drafts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/smart-email/drafts" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_get Draft

GET
/v1/smart-email/drafts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/smart-email/drafts/<string>" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_update Draft

PATCH
/v1/smart-email/drafts/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/smart-email/drafts/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Email Controller_send Draft

POST
/v1/smart-email/drafts/{id}/send

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/smart-email/drafts/<string>/send" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_schedule Draft

POST
/v1/smart-email/drafts/{id}/schedule

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/smart-email/drafts/<string>/schedule" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Smart Email Controller_get Variants

GET
/v1/smart-email/drafts/{id}/variants

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/smart-email/drafts/<string>/variants" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_regenerate Draft

POST
/v1/smart-email/drafts/{id}/regenerate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/smart-email/drafts/<string>/regenerate" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_get Send Time Recommendation

GET
/v1/smart-email/send-time/{contactId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

contactIdRequiredstring
curl -X GET "https://api.salesos.org/v1/smart-email/send-time/<string>" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_get History

GET
/v1/smart-email/history/{contactId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

contactIdRequiredstring
curl -X GET "https://api.salesos.org/v1/smart-email/history/<string>" \
  -H "Authorization: Bearer <token>"

Smart Email Controller_get Stats

GET
/v1/smart-email/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/smart-email/stats" \
  -H "Authorization: Bearer <token>"